Bug 506629 - GFS2: gfs2_convert, parameter not understood on ppc
GFS2: gfs2_convert, parameter not understood on ppc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.4
powerpc Linux
medium Severity medium
: rc
: ---
Assigned To: Robert Peterson
Martin Banas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 22:32 EDT by Nate Straz
Modified: 2010-01-11 22:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (633 bytes, patch)
2009-06-25 14:55 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Nate Straz 2009-06-17 22:32:31 EDT
Description of problem:

Our test case attempted:

gfs2_convert -vy /dev/wic/wic0

and returned:

<gfs2_convert usage message>
Parameter not understood: ΓΏ

Version-Release number of selected component (if applicable):
gfs2-utils-0.1.57-1.el5

How reproducible:
Every time

Steps to Reproduce:
1. gfs2_convert -vy /dev/wic/wic0 (on a ppc system)
Comment 1 Robert Peterson 2009-06-23 10:31:24 EDT
Easy one-line fix (change variable from type char to int).
Requesting ack flags and a management decision on what release
to fix it.
Comment 2 Robert Peterson 2009-06-25 14:55:07 EDT
Created attachment 349445 [details]
Patch to fix the problem

This is the patch that should fix the problem.  I pushed this
patch upstream to the master branch of the gfs2-utils git tree
and the STABLE3, STABLE3, RHEL5 and RHEL54 branches of the
cluster git tree for inclusion into 5.4.
Comment 5 Martin Banas 2009-07-24 04:26:24 EDT
Fixed in RHEL5.4-Server-20090722.0 with gfs2-utils-0.1.61-1.el5.
Closing the bug as VERIFIED.


log from console:
[root@ibm-js12-03 ~]# gfs2_convert -vy /dev/sda3
gfs2_convert version 2 (built Jul 14 2009 12:54:25)
Copyright (C) Red Hat, Inc.  2004-2006  All rights reserved.

Examining file system
This program will convert a gfs1 filesystem to a gfs2 filesystem.
WARNING: This can't be undone.  It is strongly advised that you:

   1. Back up your entire filesystem first.
   2. Run gfs_fsck first to ensure filesystem integrity.
   3. Make sure the filesystem is NOT mounted from any node.
   4. Make sure you have the latest software versions.
Converting resource groups.
Converting inodes.
6 inodes from 78 rgs converted.
Fixing file and directory information.
1 directories, 2 dirents fixed.
Converting journals.
Converting journal space to rg space.
Addr 269a80 comes after rg at addr 259d19
Writing journal #1...done.
Building GFS2 file system structures.
Removing obsolete GFS1 file system structures.
Committing changes to disk.
/dev/sda3: filesystem converted successfully to gfs2.
Comment 7 errata-xmlrpc 2009-09-02 07:02:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1337.html

Note You need to log in before you can comment on or make changes to this bug.